Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mauda.utils
Class HTMLView

    java.lang.Object
      mauda.utils.HTMLView

    public class HTMLView

extends java.lang.Object

Generates a HTML-View

Author:
  Markus Krebs

Field Summary
`static javax.swing.text.html.HTMLEditorKit` | `htmlEditorKit` The HTML-Editor-Kit which is used for the View.

Constructor Summary
`HTMLView(javax.swing.event.HyperlinkListener hl)` Creates a HTMLView

Method Summary
`javax.swing.JPanel` | `getPanel()` Gets the panel
`void` | `setBodyHTML(java.lang.String html)` Sets the HTML-Text of the view.
`void` | `setHTML(java.lang.String html)` Sets the HTML-Text of the view.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### htmlEditorKit

    public static javax.swing.text.html.HTMLEditorKit htmlEditorKit

  The HTML-Editor-Kit which is used for the View.

Constructor Detail

### HTMLView

    public HTMLView(javax.swing.event.HyperlinkListener hl)

  Creates a HTMLView

  Parameters:
    `hl` - The HyplerlinkListener for the view.

Method Detail

### getPanel

    public javax.swing.JPanel getPanel()

  Gets the panel

  Returns:
    panel

### setHTML

    public void setHTML(java.lang.String html)

  Sets the HTML-Text of the view.
  Important: The delivered String must be a complete HTML- Document. (Compare with setBodyHTML)

  Parameters:
    `html` - html-text
  See Also:
    `setBodyHTML(String)`

### setBodyHTML

    public void setBodyHTML(java.lang.String html)

  Sets the HTML-Text of the view.
  Important: The delivered string should only contain the html-code between the body-tags.

  Parameters:
    `html` - html-text
  See Also:
    `setHTML(String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD